/*
 * main.cpp
 *
 *  Created on: 08. 02. 2015
 *      Author: wn
 */

#include <intrinsics.h>
#include <msp430g2553.h>
#include <stdint.h>

#include "pwm.h"
#include "hmi.h"
#include "mySpi.h"
#include "display.h"




void init() {
	// disable watchdog
	WDTCTL = WDTPW | WDTHOLD;

	// highest possible system clock
	DCOCTL = DCO0 | DCO1 | DCO2;
	BCSCTL1 = XT2OFF | RSEL0 | RSEL1 | RSEL2 | RSEL3;
	BCSCTL2 = 0;
	BCSCTL3 = 0;
}

int main() {
	init();
	//pwmInit();
	//hmiInit();
	spiInit();
	dispInit();

	dispSet(0, 12);
	dispSet(1, 437);

	__enable_interrupt();

	uint32_t c = 0;
	uint16_t d = 0;
	while (1) {
		// hmiExec();
		c++;
		if (c > 1000000) {
			c = 0;
			d++;
			// dispSetDigit(0, 1);
		}
	}
}


